=== modified file 'bzrlib/check.py'
--- bzrlib/check.py	2005-07-04 07:34:44 +0000
+++ bzrlib/check.py	2005-07-04 12:26:02 +0000
@@ -42,6 +42,7 @@
         history = branch.revision_history()
         revno = 0
         revcount = len(history)
+        mismatch_inv_id = []
 
         # for all texts checked, text_id -> sha1
         checked_texts = {}
@@ -85,6 +86,9 @@
                                     "by {%s}"
                                     % (rev_id, last_rev_id))
 
+            if rev.inventory_id != rev_id:
+                mismatch_inv_id.append(rev_id)
+
             ## TODO: Check all the required fields are present on the revision.
 
             if rev.inventory_sha1:
@@ -166,3 +170,8 @@
     if (missing_inventory_sha_cnt
         or missing_revision_sha_cnt):
         print '  (use "bzr upgrade" to fix them)'
+
+    if mismatch_inv_id:
+        print '%d revisions have mismatched inventory ids:' % len(mismatch_inv_id)
+        for rev_id in mismatch_inv_id:
+            print '  ', rev_id

=== modified file 'doc/formats.txt'
--- doc/formats.txt	2005-07-04 07:34:19 +0000
+++ doc/formats.txt	2005-07-04 12:26:02 +0000
@@ -174,6 +174,10 @@
 An inventory is stored for recorded revisions, also a
 ``pending-inventory`` for a working directory.
 
+Inventories always have the same id as the revision they correspond
+to.  bzr up to 0.0.5 explicitly stores an inventory-id; in future
+versions this may be implied.
+
 
 
 Revision

